use std::ops::Deref;

use rocket::http::CookieJar;

use crate::{models::SessionUser, HTTP};

#[get("/testing")]
pub async fn testing(cookies: &CookieJar<'_>) -> String {
    // Get logged in user's join date in 字ちゃん server
    format!(
        "{:?}",
        HTTP.get_guild(814700630958276649)
            .await
            .expect("Failed to get testing guild")
            .member(
                HTTP.deref(),
                SessionUser::get(cookies)
                    .await
                    .expect("Failed to get logged in user data")
                    .expect("No logged in user")
                    .0
                    .id
            )
            .await
            .expect("Failed to fetch user in server")
            .joined_at
    )
}
